/* Custom styling for hello-child website */

html,
body {
	overflow-x:hidden;
}


p#otp-code {
    display: none !important;
}
.msf-step-password {
    display: none;
}

.main-survey-form-wrapper {
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 50px;
}
.msf-step-heading h1, .msf-step-heading  h2 {
    color: #fff !important;
    text-align: center;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 28px;
}
.msf-step-heading p {
    color: #fff;
    text-align: center;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 17px;
}
button.msf-btn {
    background: #8D6043;
    width: 100%;
    color: #fff;
    padding: 20px 0px;
    color: #fff;
    text-align: center;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 17px;
    border-radius: 20px;
	border: 0px solid;
}
p#error-code {
    color: red;
}
button.msf-btn:focus{
	background: #8D6043;
}
.form-group-row {
    margin-bottom: 20px;
}
.form-group-row input {
    /* height: 65px; */
    padding: 20px 20px !important;
    border-radius: 20px !important;
}
.msf-step-row {
    display: flex;
    flex-direction: column;
    gap: 50px;
}
.msf-step-2-verify-otp {
    display: none;
}
.error-message {
    display: block;
    color: #dc3232;
    font-size: 12px;
    margin-top: 5px;
}

input.error {
    border-color: #dc3232;
}

#msf-generate-otp:disabled {
    opacity: 0.7;
    cursor: not-allowed;
}
.msf-duumy-video-wrapper {
    background: #8d60434a;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 450px;
    border-radius: 20px;
}
img#msf-video-player {
    width: 150px;
}
input#otp-entryid {
    display: none;
}
img#msf-video-player {
    width: 150px;
    cursor: pointer;
}
.form-group-row label {
	line-height: 1.4em;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 20px;
    margin-bottom: 20px;
    color: #fff;
}
.form-group-row select {
    padding: 20px 20px !important;
    border-radius: 20px !important;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 16px;
}
.msf-step-survey-form-heading h2 {
    margin: 40px 0px;
    text-align: left;
    padding: 20px 0px;
    border-top: 1px solid;
    border-bottom: 1px solid;
    font-size: 20px;
    line-height: 1.4em;
}
.for-radio-wrapper {
    /* border: 1px solid; */
    display: flex;
    gap: 15px;
    justify-content: flex-start;
    align-items: center;
}
.for-radio-wrapper label {
    font-size: 16px;
    line-height: 1.2em;
    margin: 0px;
}
button.msf-btn:hover {
    background: #8d60438c;
}
.form-group-row.form-check-row {
    display: flex;
    gap: 0px;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}
.form-group-row.form-check-row label {
    width: 100%;
}
.for-radio-wrapper {
    width: 48%;
}
/*radio*/
.for-radio-wrapper {
  display: block;
  margin-bottom: 15px;
}

.for-radio-wrapper input {
  padding: 0;
  height: initial;
  width: initial;
  margin-bottom: 0;
  display: none;
  cursor: pointer;
}

.for-radio-wrapper label {
  position: relative;
  cursor: pointer;
}

.for-radio-wrapper label:before {
      content: '';
    -webkit-appearance: none;
    background-color: transparent;
    border: 2px solid #fff;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
    padding: 7px;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    cursor: pointer;
    margin-right: 14px;
    top: -1px;
}

.for-radio-wrapper input:checked + label:after {
    content: '';
    display: block;
    position: absolute;
    top: 2px;
    left: 6px;
    width: 6px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
textarea.mfs-textarea-input {
    padding: 20px 20px !important;
    border-radius: 20px !important;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 16px;
    height: 150px;
}

.msf-step-2 {
    display: none;
}
.msf-step-3 {
    display: none;
}
button#msf-take-survey {
    display: none;
}
.msf-step-4 {
    display: none;
}
p#error-otp {
    background: red;
    width: fit-content;
    padding: 5px 20px;
    color: #fff;
    border-radius: 20px;
    color: #fff;
    text-align: center;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    font-size: 14px;
	display: none;
}
.form-group-row.other-field-3 {
    display: none;
}
@media screen and  (max-width: 767px) {
.for-radio-wrapper {
    width: 100%;
}	
.main-survey-form-wrapper {
    width: 90%;
 }
	input#consent {
    padding: 0px !important;
}
}

